Subject: Re: [PATCH net-next] net: dqs: introduce NETIF_F_NO_BQL device feature

From: Jakub Kicinski <[email-masked]>
Date: Mon, 10 Jun 2024 18:45:05 -0700

On Mon, 10 Jun 2024 07:55:55 +0800 Jason Xing wrote:
> > (I think Vladimir was trying to make some room, this was a discussion
> > we had last year)  

s/Vladimir/Olek/ ?

> Thanks for your reminder. When I was trying to introduce one new bit,
> I noticed an overflow warning when compiling.
> 
> > I do not see the reason to report to ethtool the 'nobql bit' :
> > If a driver opts-out, then the bql sysfs files will not be there, user
> > space can see the absence of the files.  
> 
> The reason is that I just followed the comment to force myself to
> report to ethtool. Now I see.
> 
> It seems not that easy to consider all the non-BQL drivers. Let me
> think more about it.

All Eric was saying, AFAIU, is that you can for example add a bit 
in somewhere towards the end of struct nedevice, no need to pack
this info into feature bits.

BTW the Fixes tag is a bit of an exaggeration here. The heuristic in
netdev_uses_bql() is best effort, its fine to miss some devices.